#ifndef MAIN_H
#define MAIN_H

#include <stdlib.h>
#include <argp.h>
#include <stdio.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <netinet/in.h>
#include <unistd.h>
#include <signal.h>
#include <stdbool.h>
#include <errno.h>
#include <string.h>
#include <netinet/ip_icmp.h>
#include <poll.h>
#include <time.h>
#include <sys/time.h>

struct arguments {
    char* args[1];
    int verbose;
    unsigned int ttl;
};

struct ping_pkt {
    struct icmphdr hdr;
    char msg[64 - sizeof(struct icmphdr)];
};

struct ping_delta {
    int ms_top;
    int ms_bottom;
};

#endif //MAIN_H
